Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4676 - sndconfig locks up
Summary: sndconfig locks up
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: isapnptools
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-23 19:19 UTC by mhelles
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-27 23:00:39 UTC


Attachments (Terms of Use)

Description mhelles 1999-08-23 19:19:37 UTC
When running sndconfig (ver. 0.33), the prog. correctly
finds my "OPTi Audio 16" sound card (SB comp.), but when I
press the "OK" button, the system locks up, i.e. the
keyboard and mouse are both ignored. All I can do is press
the hardware reset button.

Looking through the various look-a-like error reports, I
figure that you would like to have the output of the
pnpdump program. Here it comes:

# $Id: pnpdump.c,v 1.18 1999/02/14 22:47:18 fox Exp $
# This is free software, see the sources for details.
# This software has NO WARRANTY, use at your OWN RISK
#
# For details of this file format, see isapnp.conf(5)
#
# For latest information and FAQ on isapnp and pnpdump see:
# http://www.roestock.demon.co.uk/isapnptools/
#
# Compiler flags: -DREALTIME -DNEEDSETSCHEDULER -
DABORT_ONRESERR
#
# Trying port address 0203
# Board 1 has serial identifier 81 ff ff ff ff 25 09 14 3e

# (DEBUG)
(READPORT 0x0203)
(ISOLATE PRESERVE)
(IDENTIFY *)
(VERBOSITY 2)
(CONFLICT (IO FATAL)(IRQ FATAL)(DMA FATAL)(MEM FATAL)) # or
WARNING

# Card 1: (serial identifier 81 ff ff ff ff 25 09 14 3e)
# Vendor Id OPT0925, No Serial Number (-1), checksum 0x81.
# Version 1.0, Vendor version 0.0
# ANSI string -->OPTi Audio 16<--
#
# Logical device id PNP0600
#
# Edit the entries below to uncomment out the configuration
required.
# Note that only the first value of any range is given,
this may be changed if required
# Don't forget to uncomment the activate (ACT Y) when happy

(CONFIGURE OPT0925/-1 (LD 0
#     ANSI string -->IDE CD<--

# Multiple choice time, choose one only !

#     Start dependent functions: priority acceptable
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0376
#             Maximum IO base address 0x0376
#             IO base alignment 8 bytes
#             Number of IO addresses required: 2
# (IO 0 (SIZE 2) (BASE 0x0376))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0170
#             Maximum IO base address 0x0170
#             IO base alignment 8 bytes
#             Number of IO addresses required: 8
# (IO 1 (SIZE 8) (BASE 0x0170))
#       IRQ 15.
#             High true, edge sensitive interrupt (by
default)
# (INT 0 (IRQ 15 (MODE +E)))

#       Start dependent functions: priority acceptable
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x036e
#             Maximum IO base address 0x036e
#             IO base alignment 8 bytes
#             Number of IO addresses required: 2
# (IO 0 (SIZE 2) (BASE 0x036e))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0168
#             Maximum IO base address 0x0168
#             IO base alignment 8 bytes
#             Number of IO addresses required: 8
# (IO 1 (SIZE 8) (BASE 0x0168))
#       IRQ 10.
#             High true, edge sensitive interrupt (by
default)
# (INT 0 (IRQ 10 (MODE +E)))

#       Start dependent functions: priority acceptable
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x03ee
#             Maximum IO base address 0x03ee
#             IO base alignment 8 bytes
#             Number of IO addresses required: 2
# (IO 0 (SIZE 2) (BASE 0x03ee))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x01e8
#             Maximum IO base address 0x01e8
#             IO base alignment 8 bytes
#             Number of IO addresses required: 8
# (IO 1 (SIZE 8) (BASE 0x01e8))
#       IRQ 11.
#             High true, edge sensitive interrupt (by
default)
# (INT 0 (IRQ 11 (MODE +E)))

#       Start dependent functions: priority acceptable
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x036e
#             Maximum IO base address 0x03fe
#             IO base alignment 8 bytes
#             Number of IO addresses required: 2
# (IO 0 (SIZE 2) (BASE 0x036e))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0168
#             Maximum IO base address 0x01f8
#             IO base alignment 8 bytes
#             Number of IO addresses required: 8
# (IO 1 (SIZE 8) (BASE 0x0168))
#       IRQ 5, 7, 9, 10, 11 or 15.
#             High true, edge sensitive interrupt (by
default)
# (INT 0 (IRQ 5 (MODE +E)))

#     End dependent functions
 (NAME "OPT0925/-1[0]{IDE CD              }")
# (ACT Y)
))
#
# Logical device id OPT9250
#
# Edit the entries below to uncomment out the configuration
required.
# Note that only the first value of any range is given,
this may be changed if required
# Don't forget to uncomment the activate (ACT Y) when happy

(CONFIGURE OPT0925/-1 (LD 1
#     ANSI string -->OPTi Audio 16<--

# Multiple choice time, choose one only !

#     Start dependent functions: priority acceptable
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0220
#             Maximum IO base address 0x0240
#             IO base alignment 32 bytes
#             Number of IO addresses required: 16
# (IO 0 (SIZE 16) (BASE 0x0220))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0530
#             Maximum IO base address 0x0604
#             IO base alignment 212 bytes
#             Number of IO addresses required: 8
# (IO 1 (SIZE 8) (BASE 0x0530))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0380
#             Maximum IO base address 0x03f0
#             IO base alignment 16 bytes
#             Number of IO addresses required: 12
# (IO 2 (SIZE 12) (BASE 0x0380))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0f8d
#             Maximum IO base address 0x0f8d
#             IO base alignment 1 bytes
#             Number of IO addresses required: 16
# (IO 3 (SIZE 16) (BASE 0x0f8d))
#       IRQ 5, 7 or 10.
#             High true, edge sensitive interrupt (by
default)
# (INT 0 (IRQ 5 (MODE +E)))
#       First DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed type F
# (DMA 0 (CHANNEL 0))
#       Next DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed type F
# (DMA 1 (CHANNEL 0))

#       Start dependent functions: priority acceptable
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0220
#             Maximum IO base address 0x0240
#             IO base alignment 32 bytes
#             Number of IO addresses required: 16
# (IO 0 (SIZE 16) (BASE 0x0220))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0530
#             Maximum IO base address 0x0604
#             IO base alignment 212 bytes
#             Number of IO addresses required: 8
# (IO 1 (SIZE 8) (BASE 0x0530))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0380
#             Maximum IO base address 0x03f0
#             IO base alignment 16 bytes
#             Number of IO addresses required: 12
# (IO 2 (SIZE 12) (BASE 0x0380))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0f0d
#             Maximum IO base address 0x0f0d
#             IO base alignment 1 bytes
#             Number of IO addresses required: 16
# (IO 3 (SIZE 16) (BASE 0x0f0d))
#       IRQ 5, 7 or 10.
#             High true, edge sensitive interrupt (by
default)
# (INT 0 (IRQ 5 (MODE +E)))
#       First DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed type F
# (DMA 0 (CHANNEL 0))
#       Next DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed type F
# (DMA 1 (CHANNEL 0))

#       Start dependent functions: priority acceptable
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0220
#             Maximum IO base address 0x0240
#             IO base alignment 32 bytes
#             Number of IO addresses required: 16
# (IO 0 (SIZE 16) (BASE 0x0220))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0530
#             Maximum IO base address 0x0ff0
#             IO base alignment 8 bytes
#             Number of IO addresses required: 8
# (IO 1 (SIZE 8) (BASE 0x0530))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0380
#             Maximum IO base address 0x03f0
#             IO base alignment 16 bytes
#             Number of IO addresses required: 12
# (IO 2 (SIZE 12) (BASE 0x0380))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0f8d
#             Maximum IO base address 0x0f8d
#             IO base alignment 1 bytes
#             Number of IO addresses required: 16
# (IO 3 (SIZE 16) (BASE 0x0f8d))
#       IRQ 5, 7 or 10.
#             High true, edge sensitive interrupt (by
default)
# (INT 0 (IRQ 5 (MODE +E)))
#       First DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed type F
# (DMA 0 (CHANNEL 0))

#       Start dependent functions: priority acceptable
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0220
#             Maximum IO base address 0x0240
#             IO base alignment 32 bytes
#             Number of IO addresses required: 16
# (IO 0 (SIZE 16) (BASE 0x0220))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0530
#             Maximum IO base address 0x0ff0
#             IO base alignment 8 bytes
#             Number of IO addresses required: 8
# (IO 1 (SIZE 8) (BASE 0x0530))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0380
#             Maximum IO base address 0x03f0
#             IO base alignment 16 bytes
#             Number of IO addresses required: 12
# (IO 2 (SIZE 12) (BASE 0x0380))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0f0d
#             Maximum IO base address 0x0f0d
#             IO base alignment 1 bytes
#             Number of IO addresses required: 16
# (IO 3 (SIZE 16) (BASE 0x0f0d))
#       IRQ 5, 7 or 10.
#             High true, edge sensitive interrupt (by
default)
# (INT 0 (IRQ 5 (MODE +E)))
#       First DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed type F
# (DMA 0 (CHANNEL 0))

#       Start dependent functions: priority acceptable
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0220
#             Maximum IO base address 0x0240
#             IO base alignment 32 bytes
#             Number of IO addresses required: 16
# (IO 0 (SIZE 16) (BASE 0x0220))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0530
#             Maximum IO base address 0x0ff0
#             IO base alignment 8 bytes
#             Number of IO addresses required: 8
# (IO 1 (SIZE 8) (BASE 0x0530))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0380
#             Maximum IO base address 0x03f0
#             IO base alignment 16 bytes
#             Number of IO addresses required: 12
# (IO 2 (SIZE 12) (BASE 0x0380))
#       Logical device decodes 16 bit IO address lines
#             Minimum IO base address 0x0f0d
#             Maximum IO base address 0x0fed
#             IO base alignment 32 bytes
#             Number of IO addresses required: 16
# (IO 3 (SIZE 16) (BASE 0x0f0d))
#       IRQ 5, 7, 9, 10 or 11.
#             High true, edge sensitive interrupt (by
default)
# (INT 0 (IRQ 5 (MODE +E)))
#       First DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed type F
# (DMA 0 (CHANNEL 0))
#       Next DMA channel 0, 1 or 3.
#             8 bit DMA only
#             Logical device is not a bus master
#             DMA may execute in count by byte mode
#             DMA may not execute in count by word mode
#             DMA channel speed type F
# (DMA 1 (CHANNEL 0))

#     End dependent functions
 (NAME "OPT0925/-1[1]{OPTi Audio 16       }")
# (ACT Y)
))
#
# Logical device id PNPb02f
#
# Edit the entries below to uncomment out the configuration
required.
# Note that only the first value of any range is given,
this may be changed if required
# Don't forget to uncomment the activate (ACT Y) when happy

(CONFIGURE OPT0925/-1 (LD 2
#     ANSI string -->Game Port<--
#     Logical device decodes 16 bit IO address lines
#         Minimum IO base address 0x0200
#         Maximum IO base address 0x0207
#         IO base alignment 1 bytes
#         Number of IO addresses required: 1
# (IO 0 (SIZE 1) (BASE 0x0200))
 (NAME "OPT0925/-1[2]{Game Port           }")
# (ACT Y)
))
#
# Logical device id OPT0002
#
# Edit the entries below to uncomment out the configuration
required.
# Note that only the first value of any range is given,
this may be changed if required
# Don't forget to uncomment the activate (ACT Y) when happy

(CONFIGURE OPT0925/-1 (LD 3
#     ANSI string -->MPU401<--
#     Logical device decodes 16 bit IO address lines
#         Minimum IO base address 0x0300
#         Maximum IO base address 0x0330
#         IO base alignment 16 bytes
#         Number of IO addresses required: 2
# (IO 0 (SIZE 2) (BASE 0x0300))
#     IRQ 5, 7, 9 or 10.
#         High true, edge sensitive interrupt (by default)
# (INT 0 (IRQ 5 (MODE +E)))
 (NAME "OPT0925/-1[3]{MPU401              }")
# (ACT Y)
))
# End tag... Checksum 0x00 (OK)

# Returns all cards to the "Wait for Key" state
(WAITFORKEY)

Comment 1 Bill Nottingham 1999-08-23 22:27:59 UTC
Which 'OK' button - the 'OK' in the 'card information' dialog,
or when playing a sample sound?

Also, are you running it under X Windows or on the console,
and do you have a CD-ROM attached to the sound card's CD interface?

Comment 2 Bill Nottingham 1999-08-24 14:42:59 UTC
Hmm... I was thinking that it might lock up because it's trying to
do PnP on a CD-ROM that's in use by the system, but that's probably
not it.

Does sndconfig create an isapnp.conf file, or does it lock up before
it writes it?

Comment 3 Bill Nottingham 1999-08-27 23:13:59 UTC
If you run 'pnpdump -c' from the command line, does
this cause any problems?

Comment 4 Bill Nottingham 1999-08-31 15:41:59 UTC
OK, what's the contents of
a) /proc/pci
b) /proc/ioports
c) /proc/interrupts
d) /proc/dma

... some hardware you have is interfering with the PnP probe.

Comment 5 Bill Nottingham 1999-09-23 19:24:59 UTC
What happens if you upgrade to isapnptools-1.18b-2 &
sndconfig-0.34-7 from Raw Hide?

Comment 6 Bill Nottingham 1999-10-27 23:00:59 UTC
closed, lack of input. Re-open if the new sndconfig&isapnptools
doesn't work for you.


Note You need to log in before you can comment on or make changes to this bug.